
From: NeilBrown <neilb@suse.de>

Leave it unchanged if the original (0.90) is used, incase it might be a
compatability problem.

Signed-off-by: Neil Brown <neilb@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/md.c |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN drivers/md/md.c~md-add-information-about-superblock-version-to-proc-mdstat drivers/md/md.c
--- devel/drivers/md/md.c~md-add-information-about-superblock-version-to-proc-mdstat	2005-09-01 23:48:08.000000000 -0700
+++ devel-akpm/drivers/md/md.c	2005-09-01 23:48:08.000000000 -0700
@@ -3346,6 +3346,15 @@ static int md_seq_show(struct seq_file *
 				seq_printf(seq, "\n      %llu blocks",
 					(unsigned long long)size);
 		}
+		if (mddev->persistent) {
+			if (mddev->major_version != 0 ||
+			    mddev->minor_version != 90) {
+				seq_printf(seq," super %d.%d",
+					   mddev->major_version,
+					   mddev->minor_version);
+			}
+		} else
+			seq_printf(seq, " super non-persistent");
 
 		if (mddev->pers) {
 			mddev->pers->status (seq, mddev);
_
